### Method

# Gtk CellRenderer get_state

#### Declaration [src]

    GtkStateFlags
    gtk_cell_renderer_get_state (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      GtkCellRendererState cell_state
    )

#### Description [src]

Translates the cell renderer state to `GtkStateFlags`, based on the cell renderer and widget sensitivity, and the given `GtkCellRenderer`State.

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cell_state` | `GtkCellRendererState`
| Cell renderer state.

#### Return value

Returns: | `GtkStateFlags`
| The widget state flags applying to `cell`.